## SLPDelAttrs

### Declaration

`#include <slp.h>`

`SLPError SLPDelAttrs( SLPHandle hslp,`
`const char* srvurl,`
`const char* attrs,`
`SLPRegReport callback,`
`void* cookie )`

### Description

Deletes specified attributes from a registered service. OpenSLP will not implement this function in the 1.0 development cycle because of a lack of interest and the existance of an obvious work-around replacement. Instead of calling `SLPDelAttrs()` developers writing to OpenSLP should use simply `SLPDeReg()` to de-register the entire service then call `SLPReg()` to re-register the service with out the undesired attributes.

### Parameters

`hslp` | The language specific `SLPHandle` to use for deleting attributes.
`srvurl` | The SLP Service URL of the registered service to delete attributes from. May not be the empty string. May not be NULL. Must conform to SLP Service URL syntax or `SLP_INVALID_REGISTRATION` will be returned. See Syntax for more information on SLP Service URL syntax.
`attrs` | A comma separated list of attribute ids to be deleted from the registration. May not be the empty string. May not be NULL.
`callback` | The address of an `SLPRegReport` function that will be called to report the operation completion status. May not be NULL. See Callbacks for more information on how callbacks are used by the SLPAPI.
`cookie` | Pointer to memory that gets passed to the callback code. May be NULL.

### Returns

Always returns `SLP_NOT_IMPLEMENTED`

### Status

OpenSLP 1.0 | Will not be implemented in the OpenSLP 1.0 development cycle. Always returns `SLP_NOT_IMPLEMENTED`

### See Also

SLPReg(), SLPDeReg(), Syntax, Callbacks